import Api from "~/service/Api"
import Utils from "~/utils"

export default {
                async onInfbutSearow(){
                const seacortyp = this.model.seacortyp;
                const seacoradr = this.model.seacoradr;
                const seaobjkey = this.model.seaobjkey;
                const seanam = this.model.seanam;
                let params = {seacortyp:seacortyp,seacoradr:seacoradr,seaobjkey:seaobjkey,seanam:seanam};
                let rtnmsg = await this.executeRule("infbut.searow",params)
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑
                this.stmData.data = rtnmsg.data.infbut_dspstm.rows;
                Utils.copyValueFromVO(this.model, rtnmsg.data);
                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onInfbutDsp(){
                const dspstm = this.model.infbut_dspstm.selrow;
                let params = {dspstm:dspstm};
                let rtnmsg = await this.executeRule("infbut.dsp",params)
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onInfbutUserow(){
                let rtnmsg = await this.executeRule("infbut.userow")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onInfbutClr(){
                let rtnmsg = await this.executeRule("infbut.clr")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onInfbutButprt(){
                let rtnmsg = await this.executeRule("infbut.butprt")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onInfbutExi(){
                let rtnmsg = await this.executeRule("infbut.exi")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },

}